import 'dart:async';
import 'package:flutter/services.dart';

class PrsUtilityPlugin {
  static const MethodChannel _channel =
      const MethodChannel('one.press.utility/prs_utility_plugin');

  static Future<String> pbkdf2(
      String password, String salt, int iterations, int keyLength) async {
    final String result = await _channel.invokeMethod('pbkdf2', {
      'password': password,
      'salt': salt,
      'iterations': iterations,
      'keyLength': keyLength
    });
    return result;
  }
}
